libzypp 17.38.15

ResPool.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/base/Iterator.h>`
`#include <zypp/pool/PoolTraits.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/Filter.h>`
`#include <zypp/ResPoolProxy.h>`

Go to the source code of this file.

## Classes
class | zypp::ResPool
| Global ResObject pool. More...
class | zypp::ResPool::EstablishedStates
| A copy of the Pools initial ValidateValues of pseudo installed items. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const ResPool &obj)
| relates: ResPool Stream output